deb-scrub-obsolete(1)

NAME
deb-scrub-obsolete - scrub a Debian package of no longer necessary configuration

SYNOPSIS
deb-scrub-obsolete [-h] [--no-update-changelog] [--version] [--upgrade-release=RELEASE]

DESCRIPTION
Scrub a Debian source package from unnecessary versioned depends, conflicts and maintscripts.

  optional arguments:

-h, --help
    show this help message and exit

--no-update-changelog
    Whether to update the changelog.

--version
    show program's version number and exit

--upgrade-release=RELEASE
    Don't remove any constraints that are necessary for upgrading from RELEASE or newer releases. This can either be a codename ("bookworm"), or an alias ("unstable", "old-old-stable"). For a full list options, see distro-info(1).

--compat-release=RELEASE
    Don't remove any constraints that are necessary for building on RELEASE or newer releases. This can either be a codename ("bookworm"), or an alias ("unstable", "old-old-stable"). For a full list options, see distro-info(1).

--identity
    Print the identity (name and e-mailaddress) that apply-multiarch-hints will use when committing changes, and exit.

--verbose
    Print list of fixers that was run and print tracebacks for failed fixers.

ENVIRONMENT

DEB_UPDATE_CHANGELOG
    Used to control whether the changelog should be updated, depending on whether it is set to "leave", "update" or "auto". The --update-changelog and --no-update-changelog arguments override this.

SEE ALSO
lintian-brush.conf(5) lintian-brush(1)

AUTHORS
Jelmer Vernooij <jelmer@debian.org>